Subject: FMPA Oil Invoice
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Fri, 29 Jun 2001 12:39:54 -0700 (PDT)

Mark and Charlie,

FMPA is ready to bill us for the oil, but they have a couple of questions.  They want to know whom and where do they send the invoice and what should they reference.  Email your response or any questions to Steve McElhaney at FMPA ([email-masked]).

In case I forgot to tell y'all, I am going on vacation (right now) through 7/16.  I'll have my cell phone and will check voicemails periodically.

Thanks again for your help and if I miss you, have a great Fourth,

Mathew